Bug 431717 - checkbootloader.py is relying upon comment tags within grub.conf.
checkbootloader.py is relying upon comment tags within grub.conf.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.8
All Linux
low Severity low
: rc
: ---
Assigned To: Pradeep Kilambi
Jeff Browning
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 11:59 EST by jim imgrund
Modified: 2009-05-18 16:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jim imgrund 2008-02-06 11:59:20 EST
Description of problem:
checkbootloader.py is relying upon comment tags within grub.conf.
If specific comment tag is removed, checkbootloader.py fails to recognize
bootloader as grub

if haveGrubConf:
.....
if line[0:6] == "#boot=":



Version-Release number of selected component (if applicable):
current version of up2date installed is: up2date-4.5.5-7.e14


How reproducible:


Steps to Reproduce:
1. edit grub.conf and remove all comments
2. execute /usr/share/rhn/up2date_client/checkbootloader.py
3. script is unable to recognize that grub is the bootloader
  
Actual results:


Expected results:
script should not rely upon comments within configs unless documented within the
config to not remove the comments.


Additional info:
Comment 5 Jeff Browning 2009-04-03 10:46:26 EDT
[root@dhcp77-161 up2date_client]# ./checkbootloader.py Found GRUB.

This was the result for grub.conf having comments and with all the comments deleted out. It returned GRUB as the boot loader in both cases.

Verified.
Comment 7 errata-xmlrpc 2009-05-18 16:13:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0972.html

Note You need to log in before you can comment on or make changes to this bug.